//
//  GradientButtonView.swift
//  swoof
//
//  Created by Dillon DuPont on 12/10/18.
//  Copyright © 2018 Dillon DuPont. All rights reserved.
//

import UIKit
import SnapKit;

class GradientButtonView: GradientView {
    @IBOutlet weak var gradient: GradientView!
    
    let impact = UIImpactFeedbackGenerator(style: .heavy)
    let downImpact = UIImpactFeedbackGenerator(style: .light)
    
    var onPress = {};
    
    override func awakeFromNib() {
        gradient.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview();
            make.size.equalToSuperview();
            
            make.bottom.equalToSuperview().offset(-5);
        }
        
        let tap = UILongPressGestureRecognizer(target: self, action: #selector(tapHandler))
        tap.minimumPressDuration = 0
        gradient.addGestureRecognizer(tap)
    }
    
    // called by gesture recognizer
    @objc func tapHandler(gesture: UITapGestureRecognizer) {
        
        let spring = UISpringTimingParameters(dampingRatio: 0.5, frequencyResponse: 0.4);
        
        let animator = UIViewPropertyAnimator(duration: 0, timingParameters: spring);
        
        // handle touch down and touch up events separately
        if gesture.state == .began {
            downImpact.impactOccurred();
            
            animator.addAnimations {
                self.gradient.center.y += 5;
            }
            
            animator.startAnimation();
        } else if  gesture.state == .ended {
            impact.impactOccurred();
            onPress();
            
            animator.addAnimations {
                self.gradient.center.y -= 5;
            }
            
            
            animator.startAnimation(afterDelay: 0.2);
        }
    }
}
