//
//  HelpDemoViewController.swift
//  swoof
//
//  Created by Dillon DuPont on 12/15/18.
//  Copyright © 2018 Dillon DuPont. All rights reserved.
//

import UIKit
import SnapKit

class HelpDemoViewController: UIViewController {

    @IBOutlet weak var swoofLabel: UILabel!
    @IBOutlet weak var prizeLabel: UILabel!
    
    @IBOutlet weak var prizeImage: UIImageView!
    @IBOutlet weak var prizeText: UILabel!
    
    @IBOutlet weak var bidsContainer: UIView!
    
    @IBOutlet weak var bidsLeftLabel: UILabel!
    @IBOutlet weak var bidsLeft: UILabel!
    
    @IBOutlet weak var getMoreButton: GradientButtonView!
    @IBOutlet weak var placeBidButton: GradientButtonView!
    @IBOutlet weak var inventoryButton: GradientButtonView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        swoofLabel.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview(); make.top.equalTo(self.view.safeAreaLayoutGuide.snp.topMargin);
        }
        
        prizeLabel.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview(); make.top.equalTo(self.swoofLabel.snp.top).offset(60);
        }
        
        prizeImage.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview();
            make.height.equalTo(128);
            make.top.equalTo(self.prizeLabel.snp.bottom);
        }
        
        prizeText.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview(); make.top.equalTo(self.prizeImage.snp.bottom);
        }
        
        placeBidButton.snp.makeConstraints { (make) -> Void in make.bottom.equalTo(self.view.safeAreaLayoutGuide.snp.bottomMargin);
            make.height.equalTo(64);
            make.left.equalToSuperview().offset(16);
            make.width.equalToSuperview().dividedBy(2.0).offset(-24);
        }
        
        inventoryButton.snp.makeConstraints { (make) -> Void in make.bottom.equalTo(self.view.safeAreaLayoutGuide.snp.bottomMargin);
            make.height.equalTo(64);
            make.right.equalToSuperview().offset(-16);
            make.width.equalToSuperview().dividedBy(2.0).offset(-24);
        }
        
        getMoreButton.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview();
            make.height.equalTo(48);
            make.width.equalTo(165);
            make.bottom.equalTo(self.inventoryButton.snp.top).offset(-16);
        }
        
        bidsLeft.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview(); make.bottom.equalTo(self.getMoreButton.snp.top).offset(-8);
        }
        
        bidsLeftLabel.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview(); make.bottom.equalTo(self.bidsLeft.snp.top).offset(-8);
        }
        
        bidsContainer.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview();
            make.width.equalToSuperview();
            make.bottom.equalTo(self.bidsLeftLabel.snp.top).offset(-8);
            make.top.equalTo(self.prizeText.snp.bottom).offset(8);
        }
        
        view.layoutIfNeeded();
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destination.
        // Pass the selected object to the new view controller.
    }
    */

}
