//
//  HelpViewController.swift
//  swoof
//
//  Created by Dillon DuPont on 12/11/18.
//  Copyright © 2018 Dillon DuPont. All rights reserved.
//

import UIKit
import SnapKit

class HelpViewController: UIViewController {
    @IBOutlet weak var helpIcon: UIImageView!
    
    @IBOutlet weak var helpHeader: UILabel!
    @IBOutlet weak var helpBody: UILabel!
    
    override var preferredStatusBarStyle : UIStatusBarStyle {
        return .default
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.setNeedsStatusBarAppearanceUpdate()

        self.helpIcon.layer.cornerRadius = 100;
        self.view.backgroundColor = .clear;
        
        helpIcon.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview();
            make.width.equalTo(200);
            make.height.equalTo(200);
            make.top.equalTo(self.view.safeAreaLayoutGuide.snp.topMargin).offset(60);
        }
        
        helpHeader.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview();
            make.top.equalTo(self.helpIcon.snp.bottom).offset(60);
            make.width.equalToSuperview().offset(-30);
            make.height.equalTo(64);
        }
        
        helpBody.snp.makeConstraints { (make) -> Void in
            make.centerX.equalToSuperview();
            make.top.equalTo(self.helpHeader.snp.bottom).offset(12);
            make.width.equalToSuperview().offset(-30);
            make.height.equalTo(160);
        }
        
        self.view.isUserInteractionEnabled = false;
        self.view.superview?.isUserInteractionEnabled = false;
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destination.
        // Pass the selected object to the new view controller.
    }
    */

}
