//
//  SPLaunchSwoofExtension.swift
//  swoof
//
//  Created by Dillon DuPont on 12/10/18.
//  Copyright © 2018 Dillon DuPont. All rights reserved.
//

import Sparrow
import UIKit

public extension SPLaunchAnimation {
    
    //scale logo in middle animation
    static private let scaleLogoFactor: CGFloat = 0.9
    //scale root view controller from
    static private let scaleFactorRootView: CGFloat = 1.09
    //duration all animation
    static private let duration: TimeInterval = 0.7
    //position change animation in timeline: [0..1]
    static private let changeAnimationFactor: NSNumber = 0.52
    //in end animation scale mask
    static private let scaleMaskInEndFactor: CGFloat = 3.3
    //delay for start animation
    static private let delay: Double = 1
    //options animations grade view and root view
    static private let delayHidyingGradeView: TimeInterval = 1.4
    static private let durationHidyingGradeView: TimeInterval = 0.095
    static private let delayScalingRootView: TimeInterval = 1.4
    static private let durationScalingRootView: TimeInterval = 0.45
    //timing function for scale twitter to front
    static private let scalingToFrontTimingFunction = CAMediaTimingFunction.init(controlPoints: 1, 0, 0, 1)
    
    static func asSwoof(
        forLaunchScreenName launchScreenName: String = "LaunchScreen",
        numberLogoAsSubview: Int = 0,
        withComplection complection: @escaping ()->() = {},
        onWindow window: UIWindow) {
        window.makeKeyAndVisible()
        let launchScreenController = UIStoryboard.init(name: launchScreenName, bundle: nil).instantiateInitialViewController()!
        let backgroundColor = launchScreenController.view.backgroundColor!
        window.backgroundColor = backgroundColor
    }
}
